package net.mcreator.puzzle_code.procedures;

import net.minecraft.world.level.LevelAccessor;
import net.minecraft.client.gui.components.EditBox;

import java.util.HashMap;

public class ApplyTextCodeBlockProcedure {
	public static void execute(LevelAccessor world, double x, double y, double z, HashMap guistate) {
		if (guistate == null)
			return;
		SetNBTTextSystemProcedure.execute(world, x, y, z, "textCodeBlock", guistate.containsKey("text:textCodeBlockField") ? ((EditBox) guistate.get("text:textCodeBlockField")).getValue() : "");
	}
}
